/*
 * Default foob file. Each system has it's own out of band data for files, so
 * we normally expect to find the file <sysname>/foob.h instead of this. That
 * file should define FOOB as a type (i.e. - #define FOOB long), one of which
 * type to be added to each struct buffer as b_foob. Two new routines must
 * also be provided: putfoob & getfoob. Putfoob takes a file name & a FOOB,
 * and makes the named file have that FOOB. Getfoob takes a file name, and
 * returns the FOOB for that file. If the filename is NULL, or there is an
 * error, it should return a default value for use on new files.
 */
